using RenovationWorkContracts.BindingModels;
using RenovationWorkContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RenovationWorkContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {

        List<ReportRepairComponentViewModel> GetRepairComponent();


        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

        void SaveRepairsToWordFile(ReportBindingModel model);

        void SaveRepairComponentToExcelFile(ReportBindingModel model);

 
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
